package com.caringo.client;

/**
 * This class is an enumeration of possible Delete Constraint values. (i.e. "deletable=no", "deletable=yes", "delete")
 * <p>
 * Copyright (c) 2008 by Caringo, Inc. -- All rights reserved
 * This is free software, distributed under the terms of the New BSD license.<br>
 * See the LICENSE.txt file included in this archive.<br>
 * <br>
 * 
 * @author jmike
 * @created Dec 15, 2008
 * @id $Id: ScspDeleteConstraint.java 52121 2012-08-28 17:31:56Z jafshar $
 */
public enum ScspDeleteConstraint {

    NOT_DELETABLE("deletable=no"),
    DELETABLE("deletable=yes"),
    MUST_DELETE("delete");

    public String headerString;

    // Package-private
    // Construct a delete constraint from a string
    //
    ScspDeleteConstraint(String hdrStr) {
        headerString = hdrStr;
    }
};
