package com.caringo.client;

/**
 * Execution thrown by various ScspCommand and ScspClient command executions.
 * <p>
 * Copyright (c) 2007 by Caringo, Inc. -- All rights reserved<br>
 * This is free software, distributed under the terms of the New BSD license.<br>
 * See the LICENSE.txt file included in this archive.<br>
 * <br>
 * 
 * @author jmike
 * @created Jan 19, 2008
 * @id $Id: ScspExecutionException.java 52121 2012-08-28 17:31:56Z jafshar $
 */
public class ScspExecutionException extends Exception {

    /**
     * 
     */
    private static final long serialVersionUID = 2084538153391006239L;

    /**
     * Constructs a ScspExecutionException with an empty message and no cause
     */
    public ScspExecutionException() {
        super();
    }

    /**
     * Constructs a ScspExecutionException with the specified message and cause
     * @param message - exception message. If message is null, then message will be cause.getMessage()
     * @param cause - the inner cause. May be null.
     */
    public ScspExecutionException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a ScspExecutionException with the specified message
     * @param message - exception message
     */
    public ScspExecutionException(String message) {
        super(message);
    }

    /**
     * Constructs a ScspExecutionException with a cause
     * @param cause - The cause of the exception
     */
    public ScspExecutionException(Throwable cause) {
        super(cause);
    }

}
