/**
 * 
 */
package com.caringo.client;

/**
 * Encapsulation of an single HTTP header. Provides a way to store a header name with a value.<br>
 * <p>
 * Copyright (c) 2009 by Caringo, Inc. -- All rights reserved<br>
 * This is free software, distributed under the terms of the New BSD license.<br>
 * See the LICENSE.txt file included in this archive.<br>
 * <br>
 * 
 * @author pray
 * @created September 20, 2009
 * @id ${Id}
 */
public class ScspHeader {

    private String name;
    private String value;

    /**
     * Construct a header with name and value.
     * 
     * @param name -
     *            Header name
     * @param value -
     *            Header value
     */
    public ScspHeader(String name, String value) {
        this.name = name;
        this.value = value;
    }

    /**
     * Retrieve the header name
     * 
     * @return - the header name
     */
    public String getName() {
        return name;
    }

    /**
     * Return the header value.
     * 
     * @return the header value.
     */
    public String getValue() {
        return value;
    }

}
