package com.caringo.client;

import java.util.HashSet;
import java.util.Set;

import org.apache.commons.httpclient.HttpStatus;

/**
 * ScspStatus is HttpStatus, plus some utility methods.
 *
 * Copyright (c) 2008 by Caringo, Inc. -- All rights reserved
 * This is free software, distributed under the terms of the New BSD license.<br>
 * See the LICENSE.txt file included in this archive.<br>
 * <br>
 *
 * @author  jmike
 * @created Oct 3, 2006
 * @id $Id: ScspStatus.java 52121 2012-08-28 17:31:56Z jafshar $
 */
public abstract class ScspStatus extends HttpStatus {

    public static final Set<Integer> FATAL_RESPONSES = new HashSet<Integer>();
    static {
        FATAL_RESPONSES.add(SC_BAD_REQUEST);
        FATAL_RESPONSES.add(SC_REQUEST_TIMEOUT);
        FATAL_RESPONSES.add(SC_LENGTH_REQUIRED);
        FATAL_RESPONSES.add(SC_REQUEST_TOO_LONG);
        FATAL_RESPONSES.add(SC_REQUEST_URI_TOO_LONG);
        FATAL_RESPONSES.add(SC_INTERNAL_SERVER_ERROR);
        FATAL_RESPONSES.add(SC_NOT_IMPLEMENTED);
        FATAL_RESPONSES.add(SC_BAD_GATEWAY);
        FATAL_RESPONSES.add(SC_SERVICE_UNAVAILABLE);
        FATAL_RESPONSES.add(SC_GATEWAY_TIMEOUT);
        FATAL_RESPONSES.add(SC_HTTP_VERSION_NOT_SUPPORTED);
        FATAL_RESPONSES.add(506); // ??
        FATAL_RESPONSES.add(SC_INSUFFICIENT_STORAGE);
    }
    
    public static boolean isFatal(int status) {
        return FATAL_RESPONSES.contains(status);
    }
    
    public static boolean isRedirect(int status) {
        
        //WAS
        // return status == SC_TEMPORARY_REDIRECT ||
        // status == SC_MOVED_TEMPORARILY ||
        // status == SC_MOVED_TEMPORARILY ||
        // status == SC_SEE_OTHER;
        
        //IS
        return status == SC_TEMPORARY_REDIRECT || 
        status == SC_MOVED_TEMPORARILY  ||
        status == SC_MOVED_PERMANENTLY ||
        status == SC_SEE_OTHER;
    }
    
}
