/**
 * 
 */
package com.caringo.client.request;

import org.apache.commons.httpclient.methods.EntityEnclosingMethod;
import org.apache.commons.httpclient.Header;

/**
 * Copyright (c) 2010 by Caringo, Inc. -- All rights reserved<br>
 * This is free software, distributed under the terms of the New BSD license.<br>
 * See the LICENSE.txt file included in this archive.<br>
 * <br>
 * 
 * @author pray
 * @created Jan 1, 2010
 * @id $Id: AppendMethod.java 52121 2012-08-28 17:31:56Z jafshar $
 */
// the implementation is exactly like PutMethod except for the getName method.
class AppendMethod extends EntityEnclosingMethod {

    /**
     * 
     */
    public AppendMethod() {
        // TODO Auto-generated constructor stub
    }

    /**
     * @param uri
     */
    public AppendMethod(String uri) {
        super(uri);
        // TODO Auto-generated constructor stub
    }

    /**
     * return "APPEND"
     */
    /* (non-Javadoc)
     * @see org.apache.commons.httpclient.HttpMethodBase#getName()
     */
    @Override
    public String getName() {
        return "APPEND";
    }

    @Override 
    public Header getRequestHeader(String headerName) {
        if (headerName.compareToIgnoreCase("Expect") == 0) {
            Header[] headers = getRequestHeaders(headerName);
            for (Header h:headers) {
                if (h.getValue().compareToIgnoreCase("100-continue") == 0) {
                    return h;
                }
            }
        }
        return super.getRequestHeader(headerName);
    }
}
