package com.caringo.client.request;

import java.io.InputStream;

import org.apache.commons.httpclient.methods.EntityEnclosingMethod;

import com.caringo.client.ScspHeaders;


/**
 * Copyright (c) 2010 by Caringo, Inc. -- All rights reserved<br>
 * This is free software, distributed under the terms of the New BSD license.<br>
 * See the LICENSE.txt file included in this archive.<br>
 * <br>
 * 
 * @author pray
 * @created Jan 1, 2010
 * @id $Id: AppendMethodFactory.java 52121 2012-08-28 17:31:56Z jafshar $
 */
final class AppendMethodFactory extends EntityEnclosingMethodFactory {
    
    public AppendMethodFactory(InputStream stream, long streamLength, String contentType, ScspHeaders headers) {
        super(stream, streamLength, contentType, headers);
    }
    
    /**
     * get my particular HttpMethod. Used by makeMethod
     * @return my method
     */
    @Override
    protected EntityEnclosingMethod getMyEntityEnclosingMethod() {
        return new AppendMethod();
    }
}
