package com.caringo.client.request;

/**
 * Exception indicating invalid policy set.
 * 
 * Copyright (c) 2008 by Caringo, Inc. -- All rights reserved Caringo
 * This is free software, distributed under the terms of the New BSD license.<br>
 * See the LICENSE.txt file included in this archive.<br>
 * <br>
 * 
 * @author jmike
 * @created Sep 15, 2008
 * @id $Id: InvalidPolicyException.java 52121 2012-08-28 17:31:56Z jafshar $
 */

public class InvalidPolicyException extends Exception {

    private static final long serialVersionUID = -7510260971049968968L;

    /**
     * Constructs the default <code>InvalidPolicyException</code>.
     */
    public InvalidPolicyException() {
    }

    /**
     * Constructs the <code>InvalidPolicyException</code> with a <code>String</code> argument. 
     * @param arg0 - A <code>String</code> object.
     */
    public InvalidPolicyException(String arg0) {
        super(arg0);
    }

    /**
     * Constructs the <code>InvalidPolicyException</code> with a <code>Throwable</code> argument. 
     * @param arg0 - A <code>Throwable</code> object.
     */
    public InvalidPolicyException(Throwable arg0) {
        super(arg0);
    }

    /**
     * Constructs the <code>InvalidPolicyException</code> with both <code>String</code< and <code>Throwable</code> arguments.
     * @param arg0 - A <code>String</code> object.
     * @param arg1 - A <code>Throwable</code> object.
     */
    public InvalidPolicyException(String arg0, Throwable arg1) {
        super(arg0, arg1);
    }

}
