package com.caringo.client.request;

import java.io.InputStream;

import org.apache.commons.httpclient.methods.EntityEnclosingMethod;

import com.caringo.client.ScspHeaders;
import com.caringo.client.request.ScspPutMethod;



/**
 * 
 * Class: RedirectablePutMethodFactory <br>
 * Package: com.caringo.client.ng<br>
 * This class needs a real description.
 * <br>
 * Copyright (c) 2008 by Caringo, Inc. -- All rights reserved<br>
 * This is free software, distributed under the terms of the New BSD license.<br>
 * See the LICENSE.txt file included in this archive.<br>
 * <br>
 * @author  jmcswain
 * @created Jul 25, 2008
 */
class PutMethodFactory extends EntityEnclosingMethodFactory {

    /**
     * this constructor.
     * @param stream
     *            - the input stream to write
     * @param streamLength
     *            - the length of the stream
     * @param contentType
     *            - the content type
     * @param headers
     *            - the headers to post
     */
    public PutMethodFactory(InputStream stream, long streamLength, String contentType, ScspHeaders headers) {
        super(stream, streamLength, contentType, headers);
    }

    /**
     * get my particular HttpMethod. Used by makeMethod
     * @return my method
     */
    @Override
    protected EntityEnclosingMethod getMyEntityEnclosingMethod() {
        return new ScspPutMethod();
    }

}
