package com.caringo.enumerator;


/**
 * Concrete class for the entry returned by an ObjectEnumerator of type "event" 
 * 
 * Copyright (c) 2010 by Caringo, Inc. -- All rights reserved
 * Caringo Confidential and Proprietary
 * 
 * @author jcasey
 * @created January 21, 2010
 */
public class EnumeratorEventEntry extends EnumeratorEntry {
	
	private EnumeratorEventType eventType = null;
    private String uuid = null;
    
    public EnumeratorEventEntry(String uuid, EnumeratorEventType evtType){
    	
    	this.eventType = evtType;
    	this.uuid = uuid;
    }

    /**
     * Returns true if this EnumeratorEventEntry is equivalent to the argument
     */
	@Override
	public boolean equals(Object other) {
		
		if (other == null) {
            return false;
        }
		
		if (other instanceof EnumeratorEventEntry) {
			EnumeratorEventEntry otherEntry = (EnumeratorEventEntry) other;
			if (this.uuid.equals(otherEntry.getUuid()) && this.eventType.equals(otherEntry.getEventType())) {
				return true;
			}
		}
		
		return false;
	}

	/**
	 * 
	 * @return uuid
	 */
	@Override
	public String getUuid() {
		
		return this.uuid;
	}
	
	/**
	 * 
	 * @return type
	 */
	public EnumeratorEventType getEventType(){
		
		return this.eventType;
	}

	/**
	 * Return a String representation of this entry
	 */
	@Override
	public String toString() {
		return "[" + getUuid() + "][" + getEventType().toString() + "]";

	}

}
