package com.caringo.enumerator;

/**
 * Enum class for Object Enumerator types
 * 
 * Copyright (c) 2010 by Caringo, Inc. -- All rights reserved
 * Caringo Confidential and Proprietary
 * 
 * @author jcasey
 * @created January 21, 2010
 */
public enum EnumeratorType {

	ENUM_TYPE_EVENT("event", true), 
	ENUM_TYPE_UUID("UUID", true),
	ENUM_TYPE_METADATA("metadata", true),
	ENUM_TYPE_DATA("data", false);
	
	private final String name;
    private final boolean available;

    EnumeratorType(String name, boolean available) {
        this.name = name;
        this.available = available;
    }
    
    public String getName() {
        return name;
    }

    public boolean isAvailable() {
        return this.available;
    }

    @Override
    public String toString() {
        return name;
    }
    
}
