package com.caringo.enumerator;


/**
 * Concrete class for the entry returned by an ObjectEnumerator of type "UUID" 
 * 
 * Copyright (c) 2010 by Caringo, Inc. -- All rights reserved
 * Caringo Confidential and Proprietary
 * 
 * @author jcasey
 * @created January 21, 2010
 */
public class EnumeratorUuidEntry extends EnumeratorEntry {
	
	private String uuid;
	
	/**
	 * Constructor
	 * 
	 * @param uuid
	 */
	public EnumeratorUuidEntry(String uuid){
		this.uuid = uuid;
	}

	/**
	 * Return true if this EnumeratorUuidEntry is equivalent to the argument
	 */
	@Override
	public boolean equals(Object other) {
		
		if (other == null) {
			return false;
		}
		
		if (other instanceof EnumeratorUuidEntry) {
			EnumeratorUuidEntry otherEntry = (EnumeratorUuidEntry) other;
			if (this.uuid.equals(otherEntry.getUuid())) {
				return true;
			}
		}
		
		return false;
	}

	/**
	 * 
	 * @return uuid
	 */
	@Override
	public String getUuid() {
		
		return this.uuid;
	}

	/**
	 * Return a String representation of this entry
	 */
	@Override
	public String toString() {
		
		return "[" + getUuid() + "]";
	}

}
